import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/elTableConfig',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/elTableConfig/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/elTableConfig',
    method: 'put',
    data
  })
}

export function queryByVueUrl(data) {
  return request({
    url: 'api/elTableConfig/queryByVueUrl' + '?vueUrl=' + data.vueUrl,
    method: 'get'
  })
}

export function elTableConfigAllMap(data) {
  return request({
    url: 'api/elTableConfig/elTableConfigAllMap',
    method: 'get',
    data
  })
}
export function updateElTableConfigS(data) {
  return request({
    url: 'api/elTableConfig/updateElTableConfigS',
    method: 'post',
    data
  })
}

export default { add, edit, del,elTableConfigAllMap, updateElTableConfigS}
